Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
id
string<uuid>
required
Universally unique identifier (UUID v4) of a resource.
Example:
"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"
Query Parameters
type
enum<string>
Filters results to get only deposits made by this specific type.
Available options:
wire
walletId
string
The wallet ID to which the deposits were made. If not provided, the default is the main wallet of the account.
Response
Successfully retrieved a deposit.
A deposit
id
string<uuid>
required
Unique system generated identifier for the entity.
Example:
"b8627ae8-732b-4d25-b947-1df8f4007a29"
destination
object
required
Show child attributes
amount
object
required
Show child attributes
status
enum<string>
required
Status of the deposit. Status pending indicates that the deposit is in the process of running; complete indicates it finished successfully; failed indicates it failed.
Available options:
pending,
complete,
failed
createDate
string
required
ISO-8601 UTC date/time format.
Example:
"2020-04-10T02:13:30.000Z"
sourceWalletId
string<uuid>
The identifier for the bank account where the funds were deposited from.
Example:
"9b57048d-2365-4ff5-956b-0199170d1035"
fee
object
Show child attributes
riskEvaluation
object | null
Results of risk evaluation. Present when the payment's risk decision is denied or review. Absent when decision is approved or when no risk evaluation was performed.
Show child attributes
customerExternalRef
string
A reference to the external customer which is in the memo field of the fiat transfer.
Pattern: ^(EXT[A-Z0-9]{18}).$
Example:
"EXT01ABSJKDKASJHDS922"
updateDate
string
ISO-8601 UTC date/time format.
Example:
"2020-04-10T02:13:30.000Z"
source
object
Show child attributes
fromAmount
object
Show child attributes
fees
object
Show child attributes
externalRef
string<uuid>
The external reference associated with the deposit.
Example:
"b8627ae8-732b-4d25-b947-1df8f4007a29"
trackingRef
string
Tracking reference used for making the deposit.
Example:
"CIR37N5FXJ"
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.